Application: gvSIG desktop - gvSIG bugs #4235
Error reprojecting vector layers in 3857
06/20/2016 10:25 AM - Silvia Franceschi

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:

Category: CRS

Target version:

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2426 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: CRS, reprojection Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

| am using gvSIG 2426 on a Linux 64 machine.
| tried to use shapefiles with original projection 3857 (previously exported using gvSIG) in a View with projection 32632 but they will
not be displayed.
The error is the following:
ERROR [Thread-14] (Crs.java:543) - Can't get proj4 string.
org.gvsig.crs.CrsException: java.lang.Exception: The projection'Popular Visualisation Pseudo Mercator' is not a proj4 projection.
at org.gvsig.crs.Proj4.exportToProj4(Proj4.java:3241)
at org.gvsig.crs.Crs.getProj4String(Crs.java:800)
at org.gvsig.crs.Crs.getCrsProj(Crs.java:541)
at org.gvsig.crs.COperation.<init>(COperation.java:145)
at org.gvsig.crs.Crs.getCT(Crs.java:596)
at org.gvsig.fmap.mapcontext.layers.FLayers.doAddLayer(FLayers.java:168)
at org.gvsig.fmap.mapcontext.layers.FLayers.addLayer(FLayers.java:222)
at org.gvsig.fmap.mapcontext.layers.FLayers.addLayer(FLayers.java:191)
at org.gvsig.app.gui.WizardPanel$1.run(WizardPanel.java:246)
at java.lang.Thread.run(Thread.java:745)
Caused by: java.lang.Exception: The projection'Popular Visualisation Pseudo Mercator' is not a proj4 projection.
... 10 more

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3954: prj file with 3857... Closed 12/22/2015

History

#1 - 06/22/2016 03:19 PM - Antonio Falciano

Related to #3954

#2 - 07/25/2016 07:17 PM - Alvaro Anguix

- Category set to CRS

#3 - 07/25/2016 07:18 PM - Alvaro Anguix
- Related to gvSIG bugs #3954: prj file with 3857 WKT not working added

#4 - 10/07/2016 03:25 PM - Antonio Falciano
- Status changed from New to Closed

It works fine in gvSIG 2.3 final. It was fix in #4288.
